<?php
if(!function_exists('healthic_contact_us') ) :
	/**
	*
	* Contact US
	*
	* @since healthic 1.0.0
	*
	* @param null
	* @return null
	*
	*/

	function healthic_contact_us(){
		global $healthic_customizer_all_values;

		$healthic_address_logo 		= $healthic_customizer_all_values['healthic-contact-address-logo'];
		$healthic_address_title 		= $healthic_customizer_all_values['healthic-contact-address-title'];
		$healthic_address_sub_text 	= $healthic_customizer_all_values['healthic-contact-address-sub-text'];
		$healthic_phone_logo 		= $healthic_customizer_all_values['healthic-contact-phone-logo'];
		$healthic_phone_title 		= $healthic_customizer_all_values['healthic-contact-phone-title'];
		$healthic_phone_sub_text 	= $healthic_customizer_all_values['healthic-contact-phone-sub-text'];
		$healthic_email_logo 		= $healthic_customizer_all_values['healthic-contact-email-logo'];
		$healthic_email_title 		= $healthic_customizer_all_values['healthic-contact-email-title'];
		$healthic_email_sub_text 	= $healthic_customizer_all_values['healthic-contact-email-sub-text'];

		if( 1 != $healthic_customizer_all_values['healthic-contact-section-enable'] ){
			return null;
		} ?>
			<section class="contact-section bt-bg-primary py-5 wow fadeIn" data-wow-duration="1.2s">
				<div class="container">
					<div class="row">
						<?php if( !empty( $healthic_address_logo ) || !empty( $healthic_address_title ) || !empty( $healthic_address_sub_text ) ) { ?>
							<div class="col-12 col-md-4 position-relative bt-contact-wrapper mb-4 mb-md-0">
								<div class="bt-contact-border-right">
									<i class="fa <?php echo esc_attr($healthic_address_logo);?> contact-icon d-flex align-items-center justify-content-center rounded-circle"></i>
									<div class="bt-contact-info">
										<?php if( !empty( $healthic_address_title ) ) { ?>
							            	<h5 class="text-white mb-1"><?php echo esc_html( $healthic_address_title ); ?></h5>
							            <?php } ?>
							            <?php if( !empty( $healthic_address_sub_text ) ) { ?>
							            	<span class="text-white"><?php echo esc_html( $healthic_address_sub_text ); ?></span>
							            <?php } ?>
							         </div>
							     </div>
							</div>
						<?php } ?>
						<?php if( !empty( $healthic_phone_logo ) || !empty( $healthic_phone_title ) || !empty( $healthic_phone_sub_text ) ) {  ?>
							<div class="col-12 col-md-4 position-relative bt-contact-wrapper mb-4 mb-md-0">
								<div class="bt-contact-border-right">
									<?php if( !empty( $healthic_phone_logo ) ) { ?>
										<i class="fa <?php echo esc_attr($healthic_phone_logo);?> contact-icon d-flex align-items-center justify-content-center rounded-circle"></i>
									<?php } ?>
									<div class="bt-contact-info">
										<?php if( !empty( $healthic_phone_title ) ) { ?>
							            	<h5 class="text-white mb-1"><?php echo esc_html( $healthic_phone_title ); ?></h5>
							            <?php } ?>
							            <?php if( !empty( $healthic_phone_sub_text ) ) { ?>
							            	<span class="text-white"><?php echo esc_html( $healthic_phone_sub_text ); ?></span>
							            <?php } ?>
							         </div>
							     </div>
							</div>
						<?php } ?>
						<?php if( !empty( $healthic_email_logo ) || !empty( $healthic_email_title ) || !empty( $healthic_email_sub_text ) ) { ?>
							<div class="col-12 col-md-4 position-relative bt-contact-wrapper mb-0">
								<div class="bt-contact-border-right">
									<?php if( !empty( $healthic_email_logo ) ) { ?>
										<i class="fa <?php echo esc_attr($healthic_email_logo);?> contact-icon d-flex align-items-center justify-content-center rounded-circle"></i>
									<?php } ?>
									<div class="bt-contact-info">
										<?php if( !empty( $healthic_email_title ) ) { ?>
							            	<h5 class="text-white mb-1"><?php echo esc_html( $healthic_email_title ); ?></h5>
							            <?php } ?>
							            <?php if(!empty( $healthic_email_sub_text ) ) { ?>
							            	<span class="text-white"><?php echo esc_html( $healthic_email_sub_text ); ?></span>
							            <?php } ?>
							         </div>
							     </div>
							</div>
						<?php } ?>
					</div>
				</div>
			</section>
	<?php }

endif;
add_action( 'healthic_homepage','healthic_contact_us',90 );